Bug 245280 - games/pokerth: resurrect port and take maintainership
Summary: games/pokerth: resurrect port and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-02 10:57 UTC by tobias.rehbein
Modified: 2020-04-04 10:51 UTC (History)
1 user (show)

See Also:


Attachments
Patch against a ports tree with repocopied games/pokerth@487350 (8.47 KB, patch)
2020-04-02 10:57 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2020-04-02 10:57:15 UTC
Created attachment 212978 [details]
Patch against a ports tree with repocopied games/pokerth@487350

* Resurrect the games/pokerth port
* Unbreak with recent openssl versions
* Use devel/websocketpp instead of the bundled version
* Take maintainership

I guess taking maintainership is ok with madpilot@ as the port was deleted anyways.

Before the patch can be applied you have to repocopy the deleted port by calling

  svn cp 'svn://svn.freebsd.org/ports/head/games/pokerth/@487350' games/pokerth

QA:

* portlint -A: ok
* pudrierer testport: ok
* Local play, network play and internet play have been tested
Comment 1 Guido Falsi freebsd_committer 2020-04-02 11:07:05 UTC
Hi,

I have no objection on you taking maintainership.

I'll also test and commit it once I am done with testing.

Thanks for your work!
Comment 2 Guido Falsi freebsd_committer 2020-04-03 20:36:55 UTC
I've tested it and noticed a pair of issues with dependencies, most probably due to changes to the ports tree since the port was removed. I fixed those and tried to run it.

While the software starts and works fine locally I was unable to connect to the official servers to test a network game.

It seems to be connecting but nothing happens. Am I missing something?

I was connecting as a guest user, maybe that's not supported anymore?

Were you able to test network games successfully?
Comment 3 tobias.rehbein 2020-04-03 21:05:06 UTC
(In reply to Guido Falsi from comment #2)

Oh yes. Guest logins have been disabled to ease the burden on the servers over the weekend. I was able to connect with a registered account and already played some tables.

Thanks for testing.
Comment 4 Guido Falsi freebsd_committer 2020-04-04 10:16:55 UTC
Port added back.

I added some missing dependencies reported by poudriere.

Also the gsasl dependency required changing the origin, due to the library being split from the main port recently.

Thanks!
Comment 5 commit-hook freebsd_committer 2020-04-04 10:51:58 UTC
A commit references this bug:

Author: madpilot
Date: Sat Apr  4 10:14:43 UTC 2020
New revision: 530634
URL: https://svnweb.freebsd.org/changeset/ports/530634

Log:
  - Resurrect games/pokerth
  - Pass maintainership to submitter

  PR:		245280
  Submitted by:	tobias.rehbein@web.de

Changes:
  head/MOVED
  head/games/Makefile
  head/games/pokerth/
  head/games/pokerth/Makefile
  head/games/pokerth/files/patch-pokerth__lib.pro
  head/games/pokerth/files/patch-pokerth_server.pro
  head/games/pokerth/files/patch-src_core_common_crypthelper.cpp
  head/games/pokerth/pkg-descr